# Class PV

java.lang.Object
com.redhat.et.libguestfs.PV

public class PV extends Object
PV structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`dev_size`
`long`
`pe_start`
`String`
`pv_attr`
`String`
`pv_fmt`
`long`
`pv_free`
`long`
`pv_mda_count`
`long`
`pv_mda_free`
`String`
`pv_name`
`long`
`pv_pe_alloc_count`
`long`
`pv_pe_count`
`long`
`pv_size`
`String`
`pv_tags`
`long`
`pv_used`
`String`
`pv_uuid`

## Constructor Summary

Constructors
Constructor
Description
`PV()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pv_name

public String pv_name

### pv_uuid

public String pv_uuid

### pv_fmt

public String pv_fmt

### pv_size

public long pv_size

### dev_size

public long dev_size

### pv_free

public long pv_free

### pv_used

public long pv_used

### pv_attr

public String pv_attr

### pv_pe_count

public long pv_pe_count

### pv_pe_alloc_count

public long pv_pe_alloc_count

### pv_tags

public String pv_tags

### pe_start

public long pe_start

### pv_mda_count

public long pv_mda_count

### pv_mda_free

public long pv_mda_free

## Constructor Details

### PV

public PV()